| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::UnitsGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >:
[legend]

## Public Member Functions
| UnitsGrammar ()

## Public Attributes
qi::rule< Iterator, Node(), Skipper > | units
qi::rule< Iterator, Node(), Skipper > | unit
qi::rule< Iterator, Node(), Skipper > | val
IdentifierGrammar< Iterator, Skipper > | gunit
ph::function< NodeOperations > | op

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >

Definition at line 128 of file Grammar.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename Skipper >

Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::UnitsGrammar | ( |  | ) |
| inline

Definition at line 130 of file Grammar.h.

130 : UnitsGrammar::base_type(units) {
131 units = *unit[op(qi::_val, qi::_1)];
132 unit = rep::qi::iter_pos[op(qi::_val, qi::_1)] >>
133 val[op(qi::_val, qi::_1)]
134 >> -qi::lit('*') >> gunit[op(qi::_val, qi::_1)]
135 >> qi::lit('=') >> val[op(qi::_val, qi::_1)]
136 [op(qi::_val, Node::kUnit)];;
137 val = qi::raw[qi::double_]
138 [op(qi::_val, qi::_1)][op(qi::_val, Node::kReal)];
139
140 }
Gaudi::Parsers::UnitsGrammar::unit
qi::rule< Iterator, Node(), Skipper > unit
Definition: Grammar.h:142
Gaudi::Parsers::UnitsGrammar::units
qi::rule< Iterator, Node(), Skipper > units
Definition: Grammar.h:142
Gaudi::Parsers::Node::kUnit
Definition: Node.h:28
Gaudi::Parsers::UnitsGrammar::gunit
IdentifierGrammar< Iterator, Skipper > gunit
Definition: Grammar.h:143
Gaudi::Parsers::UnitsGrammar::val
qi::rule< Iterator, Node(), Skipper > val
Definition: Grammar.h:142
Gaudi::Parsers::UnitsGrammar::op
ph::function< NodeOperations > op
Definition: Grammar.h:144
Gaudi::Parsers::Node::kReal
Definition: Node.h:28

## Member Data Documentation

template<typename Iterator , typename Skipper >

IdentifierGrammar<Iterator,Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::gunit

Definition at line 143 of file Grammar.h.

template<typename Iterator , typename Skipper >

ph::function<NodeOperations> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::op

Definition at line 144 of file Grammar.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::unit

Definition at line 142 of file Grammar.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::units

Definition at line 142 of file Grammar.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::UnitsGrammar< Iterator, Skipper >::val

Definition at line 142 of file Grammar.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h